#!/bin/bash -e
dmg_outside="`cd "$1";pwd`/Contents/SharedSupport/InstallESD.dmg"
restoreto="`cd "$2";pwd`"
cd "$(dirname "$0")"
hdiutil eject mntesd >/dev/null 2>&1 || true 
rm -rf mntesd 
mkdir mntesd

hdiutil attach -nobrowse "$dmg_outside" -mountpoint mntesd
sudo asr restore --source "mntesd/BaseSystem.dmg" --erase --target "$restoreto"
sleep 5 # to wait mount
sudo rm -rf "/Volumes/Mac OS X Base System/System/Installation/Packages" # a symlink
echo Copying packages
sudo cp -rv "mntesd/Packages" "/Volumes/Mac OS X Base System/System/Installation/Packages"
hdiutil eject mntesd >/dev/null 2>&1 || true 
rm -rf mntesd

rm -rf oi
pkgutil --expand "/Volumes/Mac OS X Base System/System/Installation/Packages/OSInstall.mpkg" oi
sed -i '' 's/"VMM"/"SSSE3"/g' oi/Distribution
sed -i '' 's@<pkg-ref id="com.apple.pkg.OSInstall"/>@<pkg-ref id="com.parrotgeek.lionlegacysupport"/><pkg-ref id="com.apple.pkg.OSInstall"/>@g' oi/Distribution 
sed -i '' 's@</installer-gui-script>@<pkg-ref id="com.parrotgeek.lionlegacysupport" auth="root">lionlegacy.pkg</pkg-ref></installer-gui-script>@g' oi/Distribution
find oi -name .DS_Store -delete
pkgutil --flatten oi OSInstall_new.mpkg
rm -rf oi

sudo cp OSInstall_new.mpkg "/Volumes/Mac OS X Base System/System/Installation/Packages/OSInstall.mpkg"
rm -f OSInstall_new.mpkg

sudo cp lionlegacy.pkg "/Volumes/Mac OS X Base System/System/Installation/Packages/lionlegacy.pkg"
sudo mkdir -p "/Volumes/Mac OS X Base System/Library/Preferences/SystemConfiguration"
sudo cp com.apple.Boot.plist "/Volumes/Mac OS X Base System/Library/Preferences/SystemConfiguration/com.apple.Boot.plist"

echo Done
